WPS8TableInternal::Table Struct Reference documentation

WPS8TableInternal::Table Struct Referencefinal

Internal: class to store a table: list of cells. More...

Inheritance diagram for WPS8TableInternal::Table:

## Public Member Functions
| Table ()
| constructor
Table & | operator= (Table const &)=default
| ~Table () final
| destructor
Public Member Functions inherited from WPSTable
| WPSTable ()
| the constructor
WPSTable & | operator= (WPSTable const &)=default
virtual | ~WPSTable ()
| the destructor
void | add (WPSCellPtr &cell)
| add a new cells
int | numCells () const
| returns the number of cell
WPSCellPtr | getCell (int id)
| returns the i^th cell
bool | sendTable (WPSContentListenerPtr listener)
| try to send the table
bool | sendAsText (WPSContentListenerPtr listener)
| try to send the table as basic text

## Public Attributes
int | m_id
| the table id
bool | m_parsed
| a bool to know if the table has been parsed

## Friends
std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<<

## Additional Inherited Members
Protected Member Functions inherited from WPSTable
bool | buildStructures ()
| create the correspondance list, ...
Protected Attributes inherited from WPSTable
std::vector< WPSCellPtr > | m_cellsList
| the list of cells
std::vector< float > | m_rowsSize
| the final row and col size (in point)
std::vector< float > | m_colsSize

## Detailed Description

Internal: class to store a table: list of cells.

## Constructor & Destructor Documentation

## ◆ Table()

WPS8TableInternal::Table::Table | ( |  | ) |
| inline

constructor

Referenced by operator<<, operator=(), and ~Table().

## ◆ ~Table()

WPS8TableInternal::Table::~Table | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ operator=()

Table & WPS8TableInternal::Table::operator= | ( | Table const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Table const & | table )
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int WPS8TableInternal::Table::m_id

the table id

Referenced by operator<<, WPS8Table::readMCLD(), and Table().

## ◆ m_parsed

bool WPS8TableInternal::Table::m_parsed
| mutable

a bool to know if the table has been parsed

Referenced by Table().

The documentation for this struct was generated from the following file:

- WPS8Table.cpp